# History file 'wb2-mod.h' transforms the surface and velocity
# sections in the Western Bohemia a priori model into VRML
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Input files required
 #chk.pl: "model/wb/" "wb2-mod.dat"
 #chk.pl: "model/wb/" "wb2-cam.dat"
 #chk.pl: "model/wb/" "wb2-dli.dat"
 #chk.pl: "forms/"    "hsv.dat"

# Model
  MODEL='wb2-mod.dat'

# Temporary files (several times overwritten)
  VRTX='vrtx.tmp'  TRGL='trgl.tmp'  PLGN='plgn.tmp'

# Setting of cameras (viewpoints) and lights
  UP1=0  UP2=0  UP3=1  CAMERA='wb2-cam.dat'
  DLIGHT='wb2-dli.dat'  AMBIENT=0.00
  R=0.00  G=0.00  B=0.00  # Black background

# Colour properties of the surfaces and velocity sections
  COLORS='hsv.dat'
  TRANSP=0.00  SPECULAR=0.00  SHININESS=0.10

# Solid P-wave velocity model
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Name and format of output file
  WRL='wb2-vp.wrl'  VRML='VRML2'
  iniwrl: 'wb2-mod.h' /

# Colours correspond to P-wave velocities
  COLUMN07='+VP'  COLUMN08='-VP'
  KOLPOS=07  KOLNEG=07   VPER=-5.0  VREF=5.0  CREF=0.0

# Triangulating individual velocity sections
# Section perpendicular to X3, maximum X3 coordinate
  N1=121 N2=141 N3=2   D1=0.5  D2=0.5  D3=1.1  O1=850. O2=980. O3=0.
  modsrf: 'wb2-mod.h' /
  trgl:   'wb2-mod.h' /
  srfwrl: 'wb2-mod.h' /
# Section perpendicular to X3, minimum X3 coordinate
  N1=2   N2=2   N3=1   D1=60.  D2=70.                          O3=-12.
  modsrf: 'wb2-mod.h' /
  trgl:   'wb2-mod.h' /
  srfwrl: 'wb2-mod.h' /
# Section perpendicular to X2, minimum X2 coordinate, top part
  N1=121 N2=1   N3=6   D1=0.5  D2=0.5  D3=0.5          O2=980. O3=-1.
  modsrf: 'wb2-mod.h' /
  trgl:   'wb2-mod.h' /
  srfwrl: 'wb2-mod.h' /
# Section perpendicular to X2, maximum X2 coordinate, top part
                                                       O2=1050.
  modsrf: 'wb2-mod.h' /
  trgl:   'wb2-mod.h' /
  srfwrl: 'wb2-mod.h' /
# Section perpendicular to X1, minimum X1 coordinate, top part
  N1=1   N2=141                                        O2=980.
  modsrf: 'wb2-mod.h' /
  trgl:   'wb2-mod.h' /
  srfwrl: 'wb2-mod.h' /
# Section perpendicular to X1, maximum X1 coordinate, top part
                                               O1=910.
  modsrf: 'wb2-mod.h' /
  trgl:   'wb2-mod.h' /
  srfwrl: 'wb2-mod.h' /
# Section perpendicular to X2, minimum X2 coordinate, bottom part
  N1=13  N2=1   N3=12  D1=5.0  D2=5.0  D3=1.0  O1=850. O2=980. O3=-12.
  modsrf: 'wb2-mod.h' /
  trgl:   'wb2-mod.h' /
  srfwrl: 'wb2-mod.h' /
# Section perpendicular to X2, maximum X2 coordinate, bottom part
                                                       O2=1050.
  modsrf: 'wb2-mod.h' /
  trgl:   'wb2-mod.h' /
  srfwrl: 'wb2-mod.h' /
# Section perpendicular to X1, minimum X1 coordinate, bottom part
  N1=1   N2=15                                         O2=980.
  modsrf: 'wb2-mod.h' /
  trgl:   'wb2-mod.h' /
  srfwrl: 'wb2-mod.h' /
# Section perpendicular to X1, maximum X1 coordinate, bottom part
                                               O1=910.
  modsrf: 'wb2-mod.h' /
  trgl:   'wb2-mod.h' /
  srfwrl: 'wb2-mod.h' /

# Sections of P-wave velocity model, perpendicular to X2
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Name of output file
  WRL='wb2-svp.wrl'
  iniwrl: 'wb2-mod.h' /
# Top part, high velocity contrast
  N1=121 N2=1   N3=6   D1=0.5  D2=0.5  D3=0.5  O1=850. O2=980. O3=-1.
  modsrf: 'wb2-mod.h' /
  trgl:   'wb2-mod.h' /
  srfwrl: 'wb2-mod.h' /
                                                       O2=990.
  modsrf: 'wb2-mod.h' /
  trgl:   'wb2-mod.h' /
  srfwrl: 'wb2-mod.h' /
                                                       O2=1000.
  modsrf: 'wb2-mod.h' /
  trgl:   'wb2-mod.h' /
  srfwrl: 'wb2-mod.h' /
                                                       O2=1010.
  modsrf: 'wb2-mod.h' /
  trgl:   'wb2-mod.h' /
  srfwrl: 'wb2-mod.h' /
                                                       O2=1020.
  modsrf: 'wb2-mod.h' /
  trgl:   'wb2-mod.h' /
  srfwrl: 'wb2-mod.h' /
                                                       O2=1030.
  modsrf: 'wb2-mod.h' /
  trgl:   'wb2-mod.h' /
  srfwrl: 'wb2-mod.h' /
                                                       O2=1040.
  modsrf: 'wb2-mod.h' /
  trgl:   'wb2-mod.h' /
  srfwrl: 'wb2-mod.h' /
                                                       O2=1050.
  modsrf: 'wb2-mod.h' /
  trgl:   'wb2-mod.h' /
  srfwrl: 'wb2-mod.h' /
# Bottom part, low velocity contrast
  N1=13         N3=12  D1=5.0  D2=5.0  D3=1.0          O2=980. O3=-12.
  modsrf: 'wb2-mod.h' /
  trgl:   'wb2-mod.h' /
  srfwrl: 'wb2-mod.h' /
                                                       O2=990.
  modsrf: 'wb2-mod.h' /
  trgl:   'wb2-mod.h' /
  srfwrl: 'wb2-mod.h' /
                                                       O2=1000.
  modsrf: 'wb2-mod.h' /
  trgl:   'wb2-mod.h' /
  srfwrl: 'wb2-mod.h' /
                                                       O2=1010.
  modsrf: 'wb2-mod.h' /
  trgl:   'wb2-mod.h' /
  srfwrl: 'wb2-mod.h' /
                                                       O2=1020.
  modsrf: 'wb2-mod.h' /
  trgl:   'wb2-mod.h' /
  srfwrl: 'wb2-mod.h' /
                                                       O2=1030.
  modsrf: 'wb2-mod.h' /
  trgl:   'wb2-mod.h' /
  srfwrl: 'wb2-mod.h' /
                                                       O2=1040.
  modsrf: 'wb2-mod.h' /
  trgl:   'wb2-mod.h' /
  srfwrl: 'wb2-mod.h' /
                                                       O2=1050.
  modsrf: 'wb2-mod.h' /
  trgl:   'wb2-mod.h' /
  srfwrl: 'wb2-mod.h' /

# Adding model box wireframe
  LIN='wb2-bnd.out'
  KOLLIN=0  R=1.00  G=1.00  B=1.00
  bndlin: 'wb2-mod.h' /
  linwrl: 'wb2-mod.h' /

